<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100101";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>
<script LANGUAGE="JavaScript">
				function numerico(e)
				{	var key; 
					var keychar;
					if (window.event)
					   key = window.event.keyCode;
					else if (e)
					   key = e.which;
					else
					   return true;
					keychar = String.fromCharCode(key);
					keychar = keychar.toLowerCase();
					if ((key==null) || (key==0) || (key==8) || (key==9) || (key==27) )
					   return true;
					else if ((("1234567890").indexOf(keychar) > -1))
					   return true;
					else
					   return false;
				}
				
				function alfanumerico(e)
				{
					var key;
					var keychar;
					if (window.event)
					   key = window.event.keyCode;
					else if (e)
					   key = e.which;
					else
					   return true;
					keychar = String.fromCharCode(key);
					keychar = keychar.toLowerCase();
					// control keys
					if ((key==null) || (key==0) || (key==8) ||
						(key==9) || (key==27) )
					   return true;
				
					// alphas and numbers
					else if ((("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz 1234567890áéíóúÁÉÍÓÚüÜñÑ").indexOf(keychar) > -1))
					   return true;
					else
					   return false;
				}			
		</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
			////Arrastrando la Variable del Documento
				$documento=$_GET["documento"] or $documento=$_POST["documento"];
				$etiqueta=$_GET["etiqueta"] or $etiqueta=$_POST["etiqueta"];
				$ubicacion=$_GET["ubicacion"] or $ubicacion=$_POST["ubicacion"];
				$idtarea=$_GET["idtarea"] or $idtarea=$_POST["idtarea"];
				$pallet=$_GET["pallet"] or $pallet=$_POST["pallet"];
				$lote=$_GET["lote"] or $lote=$_POST["lote"];
				$lotep=$_GET["lotep"] or $lotep=$_POST["lotep"];
				$cantidad=$_GET["cantidad"] or $cantidad=$_POST["cantidad"];
				$sku=$_GET["sku"] or $sku=$_POST["sku"];

			///Validar datos de la Tarea
			$sql_VG3 = mysql_query("select NO_TAREA,NO_PALLET,SKU,CANT_XTAREA,CANT_SURTIDA,ESTADO_TAREA,UBICACION,OBSERVACIONES,LOTE,LOTEPRODU from tabla_tareas where NO_DOCUMENTO='$documento' AND CVE_CUENTA='$CveCueCR1' AND NO_TAREA='$idtarea' Limit 0,1");
			if (mysql_numrows($sql_VG3)==0) 
			{echo "";}
			else
			{
				$registro_VG3=mysql_fetch_array($sql_VG3);
			}
			if (mysql_numrows($sql_VG3)>0)
			{
				$NumTar_VG3=$registro_VG3["NO_TAREA"];
				$NumPal_VG3=$registro_VG3["NO_PALLET"];
				$CodSku_VG3=$registro_VG3["SKU"];
				$CaXTar_VG3=$registro_VG3["CANT_XTAREA"];
				$CaSurt_VG3=$registro_VG3["CANT_SURTIDA"];
				$EdoTar_VG3=$registro_VG3["ESTADO_TAREA"];
				$CveUbi_VG3=$registro_VG3["UBICACION"];
				$Observ_VG3=$registro_VG3["OBSERVACIONES"];
				$VarLot_VG3=$registro_VG3["LOTE"];
				$LotPro_VG3=$registro_VG3["LOTEPRODU"];
			}
			
			
			///Validar si la cantidad es Mayor a la cantidad Solicitada
			if ($cantidad > $CaXTar_VG3)
			{ ///Inicia IF Validaciones Generales 01
				echo "<script>alert('La cantidad a surtir digitada es mayor a la asignada.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=16-SurtidoAsigna6.php?	UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta&idtarea=$idtarea&ubicacion=$CveUbi_VG3&sku=$sku&lote=$lote&lotep=$lotep'>";
			}
			else
			{
			
			///Validar que la cantidad no sea Menor a 0
			if ($cantidad < "0" or $cantidad == "-0")
			{ ///Inicia IF Validaciones Generales 02
				echo "<script>alert('La cantidad a surtir no puede ser menor a 0.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=16-SurtidoAsigna6.php?	UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta&idtarea=$idtarea&ubicacion=$CveUbi_VG3&sku=$sku&lote=$lote&lotep=$lotep'>";
			}
			else
			{
				
			///Identificar datos del Documento
			$sql_VG6 = mysql_query("select TIPO_SURTIDO from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$documento'");
			if (mysql_numrows($sql_VG6)==0) echo "";
			else{
			$registro_VG6=mysql_fetch_array($sql_VG6);
			}
			if (mysql_numrows($sql_VG6)>0)
			{
			$TipSur_VG6=$registro_VG6["TIPO_SURTIDO"];
			}			

?>
<div data-role="header">
		<h1>|| LOGSYS - WMS ||</h1>
		</div>
  <div data-role="content" align="center">
		<!-- Inicia Cuerpo de la Pantalla -->
      <form id="form1" name="form1" method="post" action="16-SurtidoAsigna8.php">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Surtido - Cantidad</font></td>
	      </tr>
		  <tr><td></td></tr>
		  <tr>
		    <td width="102" align="center"><div align="left" class="Clase_TipoLetra"><b>Documento:</b></div></td>
		    <td width="121" align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $documento; ?></div></td>
	      </tr>
		  <tr>
		    <td colspan="2">
            <input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" />
        <input type="hidden" name="documento"
		value="<?PHP echo $documento; ?>" />
        <input type="hidden" name="etiqueta"
		value="<?PHP echo $etiqueta; ?>" />
		<input type="hidden" name="idtarea"
		value="<?PHP echo $idtarea; ?>" />
		<input type="hidden" name="ubicacion"
		value="<?PHP echo $ubicacion; ?>" />
		<input type="hidden" name="pallet"
		value="<?PHP echo $pallet; ?>" />
		<input type="hidden" name="lote"
		value="<?PHP echo $lote; ?>" />
		<input type="hidden" name="lotep"
		value="<?PHP echo $lotep; ?>" />
		<input type="hidden" name="sku"
		value="<?PHP echo $sku; ?>" />
		<input type="hidden" name="cantidad"
		value="<?PHP echo $cantidad; ?>" />
		<input type="hidden" name="validar"
		value="x" />
        </td>
	      </tr>
		  <tr>
		    <td width="77"><font class="Clase_TipoLetra"><b># Tarea:</b></font></td>
		     <td width="113"><?PHP echo"<font class='Clase_TipoLetra'>$NumTar_VG3</font>"; ?></td>
		  </tr>
		  		  <tr>
		    <td width="77"><font class="Clase_TipoLetra"><b>Etiqueta:</b></font></td>
		     <td width="113"><?PHP echo"<font class='Clase_TipoLetra'>$etiqueta</font>"; ?></td>

		  </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Descripci&oacuten:</b></font></td>
			<?php
				$desc= mysql_query("SELECT DESCRIPCION FROM tabla_altaproducto WHERE SKU='$CodSku_VG3' AND CUENTA='$CveCueCR1'");
				$descrip = mysql_fetch_array($desc);
				$descripcion = $descrip[0];
				?>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$descripcion</font>"; ?></td>	          
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Cantidad:</b></font></td>
		    <td class='Clase_TipoLetra'><?PHP echo "$cantidad de ";
				$cnt=mysql_query("SELECT PZASXCAJA FROM tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND SKU='$CodSku_VG3'");
				$cn=mysql_fetch_array($cnt);
				$ppc=$cn['PZASXCAJA'];
				$CANT = $CaXTar_VG3 - $CaSurt_VG3;
				echo $CANT." Piezas.";?>
			</td></tr>
			<?php echo "<tr><td><font class='Clase_TipoLetra'><b>Lote:</b></font></td><td><font class='Clase_TipoLetra'>$lote</font></td><td></td></tr>";
			echo "<tr><td><font class='Clase_TipoLetra'><b>Lote de producción:</b></font></td><td><font class='Clase_TipoLetra'>$lotep</font></td><td></td></tr>";
			?>
		<tr>
		    <td><font class="Clase_TipoLetra"><b>SKU:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$CodSku_VG3</font>"; ?></td>	          
	    </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Pallet:</b></font></td>
		    <td class="Clase_TipoLetra"><?PHP echo"$NumPal_VG3"; ?></td>          
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Ubicaci&oacuten:</b></font></td>
		    <td><?PHP echo"<class='Clase_TipoLetra'>".$CveUbi_VG3."</class>" ?></td>   
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>UPC/EAN13:</b></font> </td>
		    <td> <?PHP echo"<class='Clase_TipoLetra'>".$CodSku_VG3."</class>" ?></td>
          </tr>
		  <tr>
		    <td align="center"><input type="submit" name="button" id="button" value="Confirmar" /></td>
<script>
function cerrarem(){
var r = confirm("¿Realmente desea cerrar la etiqueta <?php echo $etiqueta?> ?");
if (r == true) {
    window.location='<?php echo "5-CerrarEM.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta";?>';}}
</script>
		   <td align="center"><input type="button" value="Cerrar EM" onclick="cerrarem()" /></td>
	      </tr>
		  <tr>
			<script>
function canc(){
if (confirm("¿Realmente desea cancelar esta tarea?")){
    window.location='<?php echo "5-Cancelar.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta&idtarea=$tarea[ID]";?>';}}
</script>
			  <td align="center"><input type="button" value="Cancelar" onclick="canc()" /></td>
<script>
function terminar(){
var r = confirm("¿Realmente desea suspender el surtido del documento <?php echo $documento?> ?");
if (r == true) {
    window.location='<?php echo "16-Terminar.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta&IdTarea=$NumTar_VG3";?>';}}
</script>
			  <td align="center"><input type="button" value="Suspender" onclick="terminar()" /></td></tr>
			  <?php echo "<tr><td><a href='16-MenuSurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'><button disabled='disabled'>Menu</button></a></td></tr>";?>
		</table>
	</form>	
  </div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<?php
} ///Termina IF Validaciones Generales 02
} ///Termina IF Validaciones Generales 01				
				
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>
